apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-08-26T09:54:49.006121425Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '20700951'
  name: centos-stream9-brown-woodpecker-43
  uid: 2aaee394-9fbe-4689-b202-de24eb0f4a17
  creationTimestamp: '2025-08-26T09:54:48Z'
  generation: 1
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:instancetype':
            .: {}
            'f:name': {}
          'f:preference':
            .: {}
            'f:name': {}
          'f:runStrategy': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:devices':
                  .: {}
                  'f:autoattachPodInterface': {}
                  'f:disks': {}
                  'f:interfaces': {}
              'f:networks': {}
              'f:subdomain': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2025-08-26T09:54:48Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-08-26T09:54:49Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:preferenceRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:instancetypeRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-08-26T09:55:32Z'
  namespace: radek-passt
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
spec:
  dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: centos-stream9-brown-woodpecker-43-volume
      spec:
        sourceRef:
          kind: DataSource
          name: centos-stream9
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  preference:
    kind: virtualmachineclusterpreference
    name: centos.stream9
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: true
        firmware:
          uuid: 24508314-9a43-4d18-b073-5b00b99ebea5
        machine:
          type: pc-q35-rhel9.6.0
        resources: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: centos-stream9-brown-woodpecker-43-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: 3d1e-t24g-ysbv
              user: centos
          name: cloudinitdisk
status:
  observedGeneration: 1
  ready: true
  instancetypeRef:
    controllerRevisionRef:
      name: centos-stream9-brown-woodpecker-43-u1.medium-v1beta1-c441da25-3930-4b0a-8aad-a7bb2d32ef45-1
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  created: true
  desiredGeneration: 1
  preferenceRef:
    controllerRevisionRef:
      name: centos-stream9-brown-woodpecker-43-centos.stream9-v1beta1-cd09bc06-ca11-46a3-b88e-0f73fbf8132e-1
    kind: virtualmachineclusterpreference
    name: centos.stream9
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-08-26T09:55:01Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: '2025-08-26T09:55:32Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  printableStatus: Running
  volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: cloudinitdisk
      reason: 'Snapshot is not supported for this volumeSource type [cloudinitdisk]'
  runStrategy: Always

